import { GetCompletionsAtPositionOptions, CompletionEntry } from "typescript/lib/tsserverlibrary";
export interface ToolConfig {
    prefix: string;
    actions: ActionConfig[];
}
export interface ActionConfig {
    /** must be a valid JavaScript identifier name */
    name: string;
    /** each must be a valid JavaScript identifier name */
    args: string[];
    /** pretty print for refactor suggestion */
    print: (action: Action) => string;
    /** the example snippet to suggested for this action to the user on "refactor" autocomplete  */
    snippet: string;
}
export interface Action {
    name: string;
    args: {
        [key: string]: string;
    };
    print: (action: Action) => string;
}
export declare function create(config: ToolConfig): Tool;
export interface Tool {
    findActions(fileStr: string): Action[];
    getCompletionsAtPosition(fileName: string, position: number, options: GetCompletionsAtPositionOptions | undefined): CompletionEntry[];
}
